Bug 22897 - Update get_iplayer to 3.13 due to BBC changes
Summary: Update get_iplayer to 3.13 due to BBC changes
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-04-12 14:03 CEST by Charly Pammer
Modified: 2018-04-22 21:59 CEST (History)
5 users (show)

See Also:
Source RPM: get_iplayer-3.07-1.mga6.src.rpm
CVE:
Status comment:


Attachments

Description Charly Pammer 2018-04-12 14:03:11 CEST
The BBC changed its website - as a consequence the cache update of get_iplayer does not work any more.

Without the cache you cannot search for programs but only download programs if you first get the PID from the BBC website and pass it to get_iplayer. This does not render get_iplayer totally useless, but limits its usability.

Release 3.13 of get_iplayer fixed this caching issue.

Excerpt from release notes (https://github.com/get-iplayer/get_iplayer/wiki/release310to319#release313):
Restored cache updating, which was broken by changes to BBC web sites.
Comment 1 Marja Van Waes 2018-04-12 16:03:45 CEST
Assigning to all packagers collectively, since there is no registered maintainer for this package.

CC: (none) => marja11, smelror
Assignee: bugsquad => pkg-bugs

Comment 2 David GEIGER 2018-04-13 05:46:45 CEST
get_iplayer 3.13 now pushed on Cauldron and also on 6/Core/Updates_testing repo.

CC: (none) => geiger.david68210

Comment 3 Charly Pammer 2018-04-13 06:57:51 CEST
Tried the testing package: Looks good.

Search works again and stuff like downloading still works :-).

Thanks.
Comment 4 David GEIGER 2018-04-13 15:22:45 CEST
Assigning to QA,


Advisory:
=============================

Some users reported that our current get_iplayer package doesn't work correctly anymore due to the cache updating which was broken by changes to BBC web sites.
So this update fixes this issue.

For reference:

https://github.com/get-iplayer/get_iplayer/wiki/release310to319#release313

=============================


Packages in 6/core/updates_testing:
========================
get_iplayer-3.13-1.mga6.noarch.rpm

Source RPM: 
========================
get_iplayer-3.13-1.mga6.src.rpm

Assignee: pkg-bugs => qa-bugs

Comment 5 Len Lawrence 2018-04-15 03:52:27 CEST
Mageia 6, x86_64

The cache problem had already manifested itself here.
Updated the package and was able to refresh the cache, adding 1698 programmes.

Downloaded one selected at random by programme index.
$ get_iplayer --subtitles --modes=best --get 303 --force

Downloaded "Atlantic" referenced by its pid.
$ get_iplayer --get --pid p02wnh9k --subtitles --modes=best --force

Both play fine in vlc with subtitles (.mp4 and .srt files).

Good for 64 bits.

CC: (none) => tarazed25
Whiteboard: (none) => MGA6-64-OK

Len Lawrence 2018-04-17 23:48:06 CEST

Keywords: (none) => validated_backport

Len Lawrence 2018-04-17 23:49:14 CEST

Keywords: validated_backport => (none)

Len Lawrence 2018-04-17 23:50:12 CEST

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Lewis Smith 2018-04-22 21:00:35 CEST

Keywords: (none) => advisory

Comment 6 Mageia Robot 2018-04-22 21:59:56 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0064.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.